
CC = gcc
INCLUDE = ../include/
CFLAGS = -O3 -I$(INCLUDE) -g -Wall -fPIC # all
RM = rm

SOURCES = Robbo_cache.c \
	  Robbo_iniz.c \
	  RobboTotal_iniz.c \
	  Robbo_decomp.c \
	  Robbo_iniz_IO.c \
	  Robbo_usage.c \
          RobboTotalUtil.c

OBJS = $(SOURCES:.c=.o) # HACK
default:
	$(MAKE) $(OBJS) # re curse
%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<
clean:
	$(RM) -f *.o
